@inproceedings{DBLP:conf/esa/FerraginaV13,
  author    = {Paolo Ferragina and
               Rossano Venturini},
  title     = {Compressed Cache-Oblivious String {B}-tree},
  booktitle = {Proceedings of the 21st Annual European Symposium on Algorithms, {ESA}, Sophia Antipolis,
               France},
  year      = {2013},
  pages     = {469--480},
  crossref  = {DBLP:conf/esa/2013},
  url       = {http://dx.doi.org/10.1007/978-3-642-40450-4_40},
  doi       = {10.1007/978-3-642-40450-4_40},
  timestamp = {Tue, 23 Sep 2014 10:28:22 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/conf/esa/FerraginaV13},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@inproceedings{DBLP:conf/alenex/OttavianoG12,
  author    = {Giuseppe Ottaviano and
               Roberto Grossi},
  title     = {{Fast Compressed Tries through Path Decompositions}},
  booktitle = {Proceedings of the 14th Meeting on Algorithm Engineering {\&}
               Experiments, {ALENEX}. The Westin Miyako, Kyoto, Japan},
  year      = {2012},
  pages     = {65--74},
  crossref  = {DBLP:conf/alenex/2012},
  url       = {http://dx.doi.org/10.1137/1.9781611972924.7},
  doi       = {10.1137/1.9781611972924.7},
  timestamp = {Tue, 23 Sep 2014 10:44:17 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/conf/alenex/OttavianoG12},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@article{DBLP:journals/corr/abs-1101-5506,
  author    = {Nieves R. Brisaboa and
               Rodrigo C{\'{a}}novas and
               Miguel A. Mart{\'{\i}}nez{-}Prieto and
               Gonzalo Navarro},
  title     = {Compressed String Dictionaries},
  journal   = {CoRR},
  year      = {2011},
  volume    = {abs/1101.5506},
  url       = {http://arxiv.org/abs/1101.5506},
  timestamp = {Tue, 23 Sep 2014 10:47:54 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/corr/abs-1101-5506},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@article{DBLP:journals/jacm/Elias74,
  author    = {Peter Elias},
  title     = {Efficient Storage and Retrieval by Content and Address of Static Files},
  journal   = {Journal of the {ACM}},
  year      = {1974},
  volume    = {21},
  number    = {2},
  pages     = {246--260},
  url       = {http://doi.acm.org/10.1145/321812.321820},
  doi       = {10.1145/321812.321820},
  timestamp = {Tue, 23 Sep 2014 10:49:10 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/jacm/Elias74},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@inproceedings{DBLP:conf/wea/GrossiO13,
  author    = {Roberto Grossi and
               Giuseppe Ottaviano},
  title     = {Design of Practical Succinct Data Structures for Large Data Collections},
  booktitle = {Proceedings of the 12th International Symposium on Experimental Algorithms, {SEA},
               Rome, Italy},
  year      = {2013},
  pages     = {5--17},
  crossref  = {DBLP:conf/wea/2013},
  url       = {http://dx.doi.org/10.1007/978-3-642-38527-8_3},
  doi       = {10.1007/978-3-642-38527-8_3},
  timestamp = {Tue, 23 Sep 2014 10:51:34 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/conf/wea/GrossiO13},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@book{DBLP:books/mk/WittenMB99,
  author    = {Ian H. Witten and
               Alistair Moffat and
               Timothy Bell},
  title     = {Managing Gigabytes: Compressing and Indexing Documents and Images,
               Second Edition},
  year      = {1999},
  publisher = {Morgan Kaufmann},
  isbn      = {1-55860-570-3},
  timestamp = {Thu, 25 Sep 2014 16:19:43 +0200},
  biburl    = {http://dblp.dagstuhl.de/rec/bib/books/mk/WittenMB99},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@inproceedings{DBLP:conf/pods/FerraginaGGSV08,
  author    = {Paolo Ferragina and
               Roberto Grossi and
               Ankur Gupta and
               Rahul Shah and
               Jeffrey Scott Vitter},
  title     = {On searching compressed string collections cache-obliviously},
  booktitle = {Proceedings of the 27th {ACM} {SIGMOD-SIGACT-SIGART} Symposium
               on Principles of Database Systems, {PODS}, Vancouver, BC, Canada},
  year      = {2008},
  pages     = {181--190},
  crossref  = {DBLP:conf/pods/2008},
  url       = {http://doi.acm.org/10.1145/1376916.1376943},
  doi       = {10.1145/1376916.1376943},
  timestamp = {Thu, 25 Sep 2014 16:38:36 +0200},
  biburl    = {http://dblp.dagstuhl.de/rec/bib/conf/pods/FerraginaGGSV08},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@inproceedings{DBLP:conf/pods/BenderFK06,
  author    = {Michael A. Bender and
               Martin Farach{-}Colton and
               Bradley C. Kuszmaul},
  title     = {Cache-oblivious string {B}-trees},
  booktitle = {Proceedings of the Twenty-Fifth {ACM}, {SIGACT-SIGMOD-SIGART} Symposium
               on Principles of Database Systems, PODS, Chicago, Illinois,
               {USA}},
  year      = {2006},
  pages     = {233--242},
  crossref  = {DBLP:conf/pods/2006},
  url       = {http://doi.acm.org/10.1145/1142351.1142385},
  doi       = {10.1145/1142351.1142385},
  timestamp = {Thu, 25 Sep 2014 19:56:50 +0200},
  biburl    = {http://dblp.dagstuhl.de/rec/bib/conf/pods/BenderFK06},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@book{DBLP:series/txcs/LiV08,
  author    = {Ming Li and
               Paul M. B. Vit{\'{a}}nyi},
  title     = {An Introduction to Kolmogorov Complexity and Its Applications, Third
               Edition},
  series    = {Texts in Computer Science},
  year      = {2008},
  publisher = {Springer},
  url       = {http://dx.doi.org/10.1007/978-0-387-49820-1},
  doi       = {10.1007/978-0-387-49820-1},
  isbn      = {978-0-387-33998-6},
  timestamp = {Sun, 28 Sep 2014 17:24:25 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/series/txcs/LiV08},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@article{DBLP:journals/sigmobile/Shannon01,
  author    = {Claude Elwood Shannon},
  title     = {A mathematical theory of communication},
  journal   = {Mobile Computing and Communications Review},
  year      = {2001},
  volume    = {5},
  number    = {1},
  pages     = {3--55},
  url       = {http://doi.acm.org/10.1145/584091.584093},
  doi       = {10.1145/584091.584093},
  timestamp = {Sun, 28 Sep 2014 17:42:42 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/sigmobile/Shannon01},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@article{DBLP:journals/ipm/Edwards08,
  author    = {Sheri Edwards},
  title     = {{T}homas {M}. {C}over and {J}oy {A}. {T}homas, {E}lements of {I}nformation {T}heory
               (2nd ed.), John Wiley {\&} Sons, Inc. {(2006)}},
  journal   = {IPM},
  year      = {2008},
  volume    = {44},
  number    = {1},
  pages     = {400--401},
  url       = {http://dx.doi.org/10.1016/j.ipm.2007.02.009},
  doi       = {10.1016/j.ipm.2007.02.009},
  timestamp = {Sun, 28 Sep 2014 18:53:35 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/ipm/Edwards08},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@article{DBLP:journals/jcss/FredmanW94,
  author    = {Michael L. Fredman and
               Dan E. Willard},
  title     = {Trans-Dichotomous Algorithms for Minimum Spanning Trees and Shortest
               Paths},
  journal   = {JCSS},
  year      = {1994},
  volume    = {48},
  number    = {3},
  pages     = {533--551},
  url       = {http://dx.doi.org/10.1016/S0022-0000(05)80064-9},
  doi       = {10.1016/S0022-0000(05)80064-9},
  timestamp = {Mon, 29 Sep 2014 11:12:06 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/jcss/FredmanW94},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@article{DBLP:journals/fttcs/Vitter06,
  author    = {Jeffrey Scott Vitter},
  title     = {Algorithms and Data Structures for External Memory},
  journal   = {Foundations and Trends in Theoretical Computer Science, FTTCS},
  year      = {2006},
  volume    = {2},
  number    = {4},
  pages     = {305--474},
  url       = {http://dx.doi.org/10.1561/0400000014},
  doi       = {10.1561/0400000014},
  timestamp = {Mon, 29 Sep 2014 11:27:03 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/fttcs/Vitter06},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@article{DBLP:journals/talg/FrigoLPR12,
  author    = {Matteo Frigo and
               Charles E. Leiserson and
               Harald Prokop and
               Sridhar Ramachandran},
  title     = {Cache-Oblivious Algorithms},
  journal   = {Journal of the {ACM},  Transactions on Algorithms},
  year      = {2012},
  volume    = {8},
  number    = {1},
  pages     = {4},
  url       = {http://doi.acm.org/10.1145/2071379.2071383},
  doi       = {10.1145/2071379.2071383},
  timestamp = {Mon, 29 Sep 2014 11:37:57 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/talg/FrigoLPR12},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@inproceedings{DBLP:conf/focs/Jacobson89,
  author    = {Guy Jacobson},
  title     = {Space-efficient Static Trees and Graphs},
  booktitle = {Proceedings of the 30th Annual Symposium on Foundations of Computer Science, FOCS, Research
               Triangle Park, North Carolina, {USA}},
  year      = {1989},
  pages     = {549--554},
  crossref  = {DBLP:conf/focs/FOCS30},
  url       = {http://doi.ieeecomputersociety.org/10.1109/SFCS.1989.63533},
  doi       = {10.1109/SFCS.1989.63533},
  timestamp = {Mon, 29 Sep 2014 11:45:13 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/conf/focs/Jacobson89},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@article{DBLP:journals/talg/RamanRS07,
  author    = {Rajeev Raman and
               Venkatesh Raman and
               Srinivasa Rao Satti},
  title     = {Succinct indexable dictionaries with applications to encoding \emph{k}-ary
               trees, prefix sums and multisets},
  journal   = {Journal of the {ACM}, Transactions on Algorithms},
  year      = {2007},
  volume    = {3},
  number    = {4},
  url       = {http://doi.acm.org/10.1145/1290672.1290680},
  doi       = {10.1145/1290672.1290680},
  timestamp = {Mon, 29 Sep 2014 12:07:53 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/talg/RamanRS07},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@article{DBLP:journals/jacm/Elias74,
  author    = {Peter Elias},
  title     = {Efficient Storage and Retrieval by Content and Address of Static Files},
  journal   = {Journal of the {ACM}},
  year      = {1974},
  volume    = {21},
  number    = {2},
  pages     = {246--260},
  url       = {http://doi.acm.org/10.1145/321812.321820},
  doi       = {10.1145/321812.321820},
  timestamp = {Mon, 29 Sep 2014 12:17:22 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/jacm/Elias74},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@inproceedings{DBLP:conf/latin/BenderF00,
  author    = {Michael A. Bender and
               Martin Farach{-}Colton},
  title     = {The {LCA} Problem Revisited},
  booktitle = {Proceedings of the 4th Latin American Symposium on Theoretical Informatics,
  {LATIN}, Punta del Este, Uruguay},
  year      = {2000},
  pages     = {88--94},
  crossref  = {DBLP:conf/latin/2000},
  url       = {http://dx.doi.org/10.1007/10719839_9},
  doi       = {10.1007/10719839_9},
  timestamp = {Mon, 29 Sep 2014 16:39:54 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/conf/latin/BenderF00},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@inproceedings{DBLP:conf/fsttcs/Munro96,
  author    = {Ian Munro},
  title     = {Tables},
  booktitle = {Proceedings of the 16th Conference on Foundations of Software Technology and Theoretical Computer Science, FSTTCS,
   Hyderabad, India},
  year      = {1996},
  pages     = {37--42},
  crossref  = {DBLP:conf/fsttcs/1996},
  url       = {http://dx.doi.org/10.1007/3-540-62034-6_35},
  doi       = {10.1007/3-540-62034-6_35},
  timestamp = {Wed, 01 Oct 2014 21:38:17 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/conf/fsttcs/Munro96},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@article{DBLP:journals/jacm/FerraginaG99,
  author    = {Paolo Ferragina and
               Roberto Grossi},
  title     = {The String {B}-tree: {A} New Data Structure for String Search in External
               Memory and Its Applications},
  journal   = {Journal of the {ACM}},
  year      = {1999},
  volume    = {46},
  number    = {2},
  pages     = {236--280},
  url       = {http://doi.acm.org/10.1145/301970.301973},
  doi       = {10.1145/301970.301973},
  timestamp = {Fri, 03 Oct 2014 15:34:18 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/jacm/FerraginaG99},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@article{DBLP:journals/jacm/Morrison68,
  author    = {Donald R. Morrison},
  title     = {{PATRICIA} - Practical Algorithm To Retrieve Information Coded in
               Alphanumeric},
  journal   = {Journal of the {ACM}},
  year      = {1968},
  volume    = {15},
  number    = {4},
  pages     = {514--534},
  url       = {http://doi.acm.org/10.1145/321479.321481},
  doi       = {10.1145/321479.321481},
  timestamp = {Fri, 03 Oct 2014 15:40:35 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/jacm/Morrison68},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}
@inproceedings{DeLaBriandais:1959:FSU:1457838.1457895,
 author = {Rene De La Briandais },
 title = {File Searching Using Variable Length Keys},
 booktitle = {Proceedings of the Western Joint Computer Conference, San Francisco, California, {USA}},
 series = {IRE-AIEE-ACM '59 (Western)},
 year = {1959},
 pages = {295--298},
 numpages = {4},
 url = {http://doi.acm.org/10.1145/1457838.1457895},
 doi = {10.1145/1457838.1457895},
 acmid = {1457895},
} 
@inproceedings{DBLP:conf/www/HsuO13,
  author    = {Bo{-}June Paul Hsu and
               Giuseppe Ottaviano},
  title     = {Space-efficient data structures for Top-\emph{k} completion},
  booktitle = {Proceedings of the 22nd International World Wide Web Conference, {WWW}, Rio de Janeiro,
               Brazil},
  year      = {2013},
  pages     = {583--594},
  crossref  = {DBLP:conf/www/2013},
  url       = {http://dl.acm.org/citation.cfm?id=2488440},
  timestamp = {Mon, 06 Oct 2014 18:12:56 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/conf/www/HsuO13},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@Misc{DBLP:succinct,
  author    = {Giuseppe Ottaviano},
  title     = {Succinct library. \url{http://github.com/ot/succinct}},
  year      = {},
  volume    = {},
  number    = {},
  pages     = {},
  url       = {\url{http://github.com/ot/succinct}},
  doi       = {},
  timestamp = {},
  biburl    = {},
  bibsource = {}
}
@article{DBLP:path,
  author    = {Giuseppe Ottaviano},
  title     = {Path decomposed tries library. \url{https://github.com/ot/path\_decomposed\_tries}},
  %journal   = {https://github.com/ot/path\_decomposed\_tries},
  year      = {},
  volume    = {},
  number    = {},
  pages     = {},
  url       = {\url{https://github.com/ot/path\_decomposed\_tries}},
  doi       = {},
  timestamp = {},
  biburl    = {},
  bibsource = {}
}

@article{Huffman52,
  added-at = {2009-11-25T18:41:14.000+0100},
  author = {Huffman, D.A.},
  biburl = {http://www.bibsonomy.org/bibtex/26fb85f6269c35ef3511ecebc354c39a4/sonntag},
  description = {Daniel Sonntag all references},
  interhash = {d00a180c1c2e7851560c2d51e0fd8f92},
  intrahash = {6fb85f6269c35ef3511ecebc354c39a4},
  journal = {Proceedings of the {IRE}},
  keywords = {QABook imported},
  number = 10,
  owner = {sonntag},
  pages = {1098--1101},
  timestamp = {2009-11-25T18:41:14.000+0100},
  title = {A Method for the Construction of Minimum Redundancy Codes},
  year = 1952
}
@article{DBLP:journals/tit/ZivL77,
  author    = {Jacob Ziv and
               Abraham Lempel},
  title     = {A universal algorithm for sequential data compression},
  journal   = {Journal of the {IEEE}, Transactions on Information Theory},
  year      = {1977},
  volume    = {23},
  number    = {3},
  pages     = {337--343},
  url       = {http://dx.doi.org/10.1109/TIT.1977.1055714},
  doi       = {10.1109/TIT.1977.1055714},
  timestamp = {Thu, 16 Oct 2014 15:24:43 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/tit/ZivL77},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@TECHREPORT{Burrows94ablock-sorting,
    author = {Michael Burrows and David J. Wheeler},
    title = {A block-sorting lossless data compression algorithm},
    institution = {Digital Equipment Corporation},
    year = {1994}
}

@inproceedings{DBLP:conf/pods/FerraginaGGSV08,
  author    = {Paolo Ferragina and
               Roberto Grossi and
               Ankur Gupta and
               Rahul Shah and
               Jeffrey Scott Vitter},
  title     = {On searching compressed string collections cache-obliviously},
  booktitle = {Proceedings of the 27th {ACM} {SIGMOD-SIGACT-SIGART} Symposium
               on Principles of Database Systems, {PODS}, Vancouver,
               BC, Canada},
  pages     = {181--190},
  year      = {2008},
  crossref  = {DBLP:conf/pods/2008},
  url       = {http://doi.acm.org/10.1145/1376916.1376943},
  doi       = {10.1145/1376916.1376943},
  timestamp = {Wed, 23 May 2012 16:53:24 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/conf/pods/FerraginaGGSV08},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@inproceedings{DBLP:conf/wea/GrossiO13,
  author    = {Roberto Grossi and
               Giuseppe Ottaviano},
  title     = {Design of Practical Succinct Data Structures for Large Data Collections},
  booktitle = {Proceedings of the  12th International Symposium on Experimental Algorithms, {SEA},  2013, Rome, Italy},
  pages     = {5--17},
  year      = {2013},
  crossref  = {DBLP:conf/wea/2013},
  url       = {http://dx.doi.org/10.1007/978-3-642-38527-8_3},
  doi       = {10.1007/978-3-642-38527-8_3},
  timestamp = {Wed, 22 May 2013 12:54:34 +0200},
  biburl    = {http://dblp.uni-trier.de/rec/bib/conf/wea/GrossiO13},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@article{Bentley:1979:AVS:1008620.1008624,
 author = {Jon Louis Bentley and James B. Saxe},
 title = {Algorithms on Vector Sets},
 journal = {{ACM} {SIGACT} News},
 issue_date = {Fall 1979},
 volume = {11},
 number = {2},
 month = sep,
 year = {1979},
 issn = {0163-5700},
 pages = {36--39},
 numpages = {4},
 url = {http://doi.acm.org/10.1145/1008620.1008624},
 doi = {10.1145/1008620.1008624},
 acmid = {1008624},
 publisher = {ACM},
 address = {New York, NY, USA},
} 

@article{Tarjan:1985p99,
  added-at = {2009-11-23T13:25:47.000+0100},
  author = {Robert Endre Tarjan},
  biburl = {http://www.bibsonomy.org/bibtex/2634003087a5a6dc96f80958ee89590fd/achimpassen},
  date-added = {2009-05-03 18:42:36 +0200},
  date-modified = {2009-11-18 18:17:08 +0100},
  interhash = {2dda8c619e8c94274ed5025838616076},
  intrahash = {634003087a5a6dc96f80958ee89590fd},
  journal = {{SIAM}, Journal on Algebraic and Discrete Methods},
  keywords = {imported},
  local-url = {file://localhost/Users/achim/Documents/Papers/1985/Tarjan/SIAM%20Journal%20on%20Algebraic%20and%20Discrete%20Methods%201985%20Amortized%20computational%20complexity.pdf},
  number = 2,
  pages = {306--318},
  pmid = {16006718937482399139related:ow0oABFKI94J},
  rating = {0},
  timestamp = {2009-11-23T13:25:50.000+0100},
  title = {Amortized computational complexity},
  uri = {papers://C3D2787C-59DE-4F5F-B604-503052CE153D/Paper/p99},
  volume = 6,
  year = 1985
}

@inproceedings{DBLP:conf/soda/BentleyS97,
  author    = {Jon Louis Bentley and
               Robert Sedgewick},
  title     = {Fast Algorithms for Sorting and Searching Strings},
  booktitle = {Proceedings of the 8th Annual {ACM-SIAM} Symposium on Discrete
               Algorithms, {SODA}, New Orleans, Louisiana, {USA}},
  pages     = {360--369},
  year      = {1997},
  crossref  = {DBLP:conf/soda/1997},
  url       = {http://dl.acm.org/citation.cfm?id=314161.314321},
  timestamp = {Fri, 07 Dec 2012 17:02:08 +0100},
  biburl    = {http://dblp.uni-trier.de/rec/bib/conf/soda/BentleyS97},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@article{DBLP:journals/jacm/Manzini01,
  author    = {Giovanni Manzini},
  title     = {An analysis of the {B}urrows-{W}heeler transform},
  journal   = {Journal of the {ACM}},
  volume    = {48},
  number    = {3},
  pages     = {407--430},
  year      = {2001},
  url       = {http://doi.acm.org/10.1145/382780.382782},
  doi       = {10.1145/382780.382782},
  timestamp = {Thu, 20 Nov 2003 12:28:17 +0100},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/jacm/Manzini01},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@book{free:books/open_data_structures,
  author    = {Pat Morin},
  title     = {Open data structures},
  year      = {2014},
  publisher = {Web},
 url{http://opendatastructures.org/}
}

@phdthesis{Clark:1998:CPT:287799,
 author = {David Richard Clark},
 title = {Compact Pat Trees},
 year = {1998},
 note = {UMI Order No. GAXNQ-21335},
 publisher = {University of Waterloo},
 address = {Waterloo, Ontario, Canada},
} 
@book{fano1971number,
  title={On the Number of Bits Required to Implement an Associative Memory},
  author={Robert Mario Fano},
  series={Computation Structures Group Memo},
  url={http://books.google.it/books?id=07DeGwAACAAJ},
  year={1971},
  publisher={MIT Project MAC Computer Structures Group}
}


@article{DBLP:journals/siamcomp/FischerH11,
  author    = {Johannes Fischer and
               Volker Heun},
  title     = {Space-Efficient Preprocessing Schemes for Range Minimum Queries on
               Static Arrays},
  journal   = {{SIAM}, Journal on Computing},
  volume    = {40},
  number    = {2},
  pages     = {465--492},
  year      = {2011},
  url       = {http://dx.doi.org/10.1137/090779759},
  doi       = {10.1137/090779759},
  timestamp = {Fri, 12 Dec 2014 17:37:41 +0100},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/siamcomp/FischerH11},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@InProceedings{OffDict1999,
  author = 	 "Larsson, N. Jesper and Moffat, Alistair",
  title = 	 "Offline Dictionary-Based Compression",
  booktitle = 	 "Proceedings of the IEEE Data Compression Conference, DCC",
  year =	 1999,
  month =	 mar,
  pages =	 "296--305"
}

@article{Claude:2010:FCW:1841909.1841913,
 author = {Claude, Francisco and Navarro, Gonzalo},
 title = {Fast and Compact Web Graph Representations},
 journal = {ACM Transaction on the Web},
 issue_date = {September 2010},
 volume = {4},
 number = {4},
 month = sep,
 year = {2010},
 issn = {1559-1131},
 pages = {16:1--16:31},
 articleno = {16},
 numpages = {31},
 url = {http://doi.acm.org/10.1145/1841909.1841913},
 doi = {10.1145/1841909.1841913},
 acmid = {1841913},
 publisher = {ACM},
 address = {New York, NY, USA},
 keywords = {Compression, Data Structures, Web Graph},
} 

@article{Fredkin:1960:TM:367390.367400,
 author = {Fredkin, Edward},
 title = {Trie Memory},
 journal = {Communications of the ACM},
 issue_date = {September 1960},
 volume = {3},
 number = {9},
 month = sep,
 year = {1960},
 issn = {0001-0782},
 pages = {490--499},
 numpages = {10},
 url = {http://doi.acm.org/10.1145/367390.367400},
 doi = {10.1145/367390.367400},
 acmid = {367400},
 publisher = {ACM},
 address = {New York, NY, USA},
} 

@book{Frakes:1992:IRD:129687,
 editor = {Frakes, William B. and Baeza-Yates, Ricardo},
 title = {Information Retrieval: Data Structures and Algorithms},
 year = {1992},
 isbn = {0-13-463837-9},
 publisher = {Prentice-Hall, Inc.},
 address = {Upper Saddle River, NJ, USA},
} 

@article{DBLP:journals/corr/cs-DS-0410048,
  author    = {Erik D. Demaine and
               John Iacono and
               Stefan Langerman},
  title     = {Worst-Case Optimal Tree Layout in a Memory Hierarchy},
  journal   = {CoRR},
  volume    = {cs.DS/0410048},
  year      = {2004},
  url       = {http://arxiv.org/abs/cs.DS/0410048},
  timestamp = {Mon, 05 Dec 2011 18:05:03 +0100},
  biburl    = {http://dblp.uni-trier.de/rec/bib/journals/corr/cs-DS-0410048},
  bibsource = {dblp computer science bibliography, http://dblp.org}
}

@book{Gusfield:1997:AST:262228,
 author = {Dan Gusfield},
 title = {Algorithms on Strings, Trees, and Sequences: Computer Science and Computational Biology},
 year = {1997},
 isbn = {0-521-58519-8},
 publisher = {Cambridge University Press},
 address = {New York, NY, USA},
} 








